org.gjt.sp.jedit.textarea

## Class TextAreaTransferHandler

- java.lang.Object
- - javax.swing.TransferHandler
  - - org.gjt.sp.jedit.textarea.TextAreaTransferHandler

All Implemented Interfaces:
  java.io.Serializable

    public class TextAreaTransferHandler
    extends javax.swing.TransferHandler

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.TransferHandler

`javax.swing.TransferHandler.DropLocation, javax.swing.TransferHandler.TransferSupport`

### Field Summary

### Fields inherited from class javax.swing.TransferHandler

`COPY, COPY_OR_MOVE, LINK, MOVE, NONE`

### Constructor Summary

Constructors
Constructor and Description
`TextAreaTransferHandler()`

### Method Summary

Methods
`boolean` `canImport(javax.swing.JComponent c, java.awt.datatransfer.DataFlavor[] flavors)`
`boolean` `canImport(javax.swing.TransferHandler.TransferSupport support)`
`protected java.awt.datatransfer.Transferable` `createTransferable(javax.swing.JComponent c)`
`protected void` `exportDone(javax.swing.JComponent c, java.awt.datatransfer.Transferable t, int action)`
`int` `getSourceActions(javax.swing.JComponent c)`
`boolean` `importData(javax.swing.JComponent c, java.awt.datatransfer.Transferable t)`

### Methods inherited from class javax.swing.TransferHandler

`exportAsDrag, exportToClipboard, getCopyAction, getCutAction, getDragImage, getDragImageOffset, getPasteAction, getVisualRepresentation, importData, setDragImage, setDragImageOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextAreaTransferHandler

    public TextAreaTransferHandler()

### Method Detail

#### createTransferable

    protected java.awt.datatransfer.Transferable createTransferable(javax.swing.JComponent c)

Overrides:
  `createTransferable` in class `javax.swing.TransferHandler`

#### getSourceActions

    public int getSourceActions(javax.swing.JComponent c)

Overrides:
  `getSourceActions` in class `javax.swing.TransferHandler`

#### importData

    public boolean importData(javax.swing.JComponent c,
                     java.awt.datatransfer.Transferable t)

Overrides:
  `importData` in class `javax.swing.TransferHandler`

#### exportDone

    protected void exportDone(javax.swing.JComponent c,
                  java.awt.datatransfer.Transferable t,
                  int action)

Overrides:
  `exportDone` in class `javax.swing.TransferHandler`

#### canImport

    public boolean canImport(javax.swing.TransferHandler.TransferSupport support)

Overrides:
  `canImport` in class `javax.swing.TransferHandler`

#### canImport

    public boolean canImport(javax.swing.JComponent c,
                    java.awt.datatransfer.DataFlavor[] flavors)

Overrides:
  `canImport` in class `javax.swing.TransferHandler`